<?php

$code = (string)$_GET['code'];
$x = (float)$_GET['x'];
$y = (float)$_GET['y'];
$error_level = (float)$_GET['error_level'];
$version = (float)$_GET['version'];
$imgFormat = (string)$_GET['imgFormat'];

$sizeKind = (string)$_GET['rad_size'];
$size = (float)$_GET['size'];
if(isset($_GET['width']))
	$width = (float)$_GET['width'];

require_once("barcode.php/QR.php");
$barcode = null;
$qr = null;

// バーコード描画 (PNGファイル)
$barcode = new QR();
$barcode->error_level = $error_level;
$barcode->version = $version;

// encoding(option / default:sjis)
$barcode->StringEncoding = (string)$_GET['encoding'];

if($sizeKind == "size")
{
	$img = $barcode->draw_by_size($code, $size);
}
else
{
	$img = $barcode->draw_by_width($code, $width);
}


$fileName = "gazou/gazou.png";
if($imgFormat == "png")
{
	$fileName = "gazou/gazou.png";
	ImagePNG($img, $fileName);
}
else if($imgFormat == "jpeg")
{
	$fileName = "gazou/gazou.jpg";
	ImageJPEG($img, $fileName);
}
else if($imgFormat == "gif")
{
	$fileName = "gazou/gazou.gif";
	ImageGIF($img, $fileName);
}


$size = GetImageSize($fileName);
print("<html>\n");
print("<head>\n");
print("<title>QR Code Test Output</title>\n");
print("</head>\n");
print("<body>\n");

print("<DIV id=\"QRCode\" style=\"position : absolute;width : ".$size[0]."px;height : ".$size[1]."px;z-index : 1;visibility : visible;left : ".$x."px;top : ".$y."px;\">\n"
	."<IMG src=\"".$fileName."?".rand()."\" width=".$size[0]." height=".$size[1]." border=\"0\"></DIV>\n");

print("</body>\n");
print("</html>\n");
