<?php

$code = (string)$_GET['code'];
$x = (float)$_GET['x'];
$y = (float)$_GET['y'];
$size = (float)$_GET['size'];
$imgFormat = (string)$_GET['imgFormat'];

require_once("barcode.php/YubinCustomer.php");

// バーコードYubinCustomer (PNGファイル)
$barcode = new YubinCustomer();

// 精度を保つため表示倍率の10倍で画像描画
$img = $barcode->draw($code, $size * 10);

$fileName = "gazou/gazou.png";
if($imgFormat == "png")
{
	$fileName = "gazou/gazou.png";
	ImagePNG($img, $fileName);
}
else if($imgFormat == "jpeg")
{
	$fileName = "gazou/gazou.jpg";
	ImageJPEG($img, $fileName);
}
else if($imgFormat == "gif")
{
	$fileName = "gazou/gazou.gif";
	ImageGIF($img, $fileName);
}

$size = GetImageSize($fileName);

// 表示倍率の10倍の画像を描いたので
// 表示するときに1/10にする。
$size[0] = $size[0] / 10;  // 幅
$size[1] = $size[1] / 10;  // 高さ

print("<html>\n");
print("<head>\n");
print("<title>Yubin Code Test Output</title>\n");
print("</head>\n");
print("<body>\n");

print("<DIV id=\"YubinCode\" style=\"position : absolute;width : ".$size[0]."px;height : ".$size[1]."px;z-index : 1;visibility : visible;left : ".$x."px;top : ".$y."px;\">\n"
	."<IMG src=\"".$fileName."?".rand()."\" width=".$size[0]." height=".$size[1]." border=\"0\"></DIV>\n");

print("</body>\n");
print("</html>\n");
