<?php

$code = (string)$_GET['code'];
$x = (float)$_GET['x'];
$y = (float)$_GET['y'];
$width = (float)$_GET['width'];
$height = (float)$_GET['height'];

require_once("barcode.php/EAN128.php");
$barcode = null;

// バーコード描画 (PNGファイル)
$barcode = new GS1_128();
$barcode->TextWrite = false;


// ↓↓↓黒バーを1ドット細くします。↓↓↓

// ただし、全体のバーコードのサイズを大きくしないと
// 1ドット細くすると細くなりすぎてしまいます。
$barcode->KuroBarCousei = -1;
// そこで、バーコードの横幅を4倍にします。
// 具体的には、バーコードを描画する最小ドット幅を
// 1ドットから4ドットへ変更します。
$barcode->minWidthDot = 4;
// できあがったバーコードの画像ファイルが大きくても
// その後、指定サイズでPDFにその画像を読み込むため問題ありません。

// ↑↑↑黒バーを1ドット細くします。↑↑↑


$img = $barcode->DrawConvenience($code, 2, $height);
$fileName = "gazou/gazou.png";
ImagePNG($img, $fileName);

require("fpdf/mbfpdf.php");
//$pdf = new MBFPDF();
$pdf = new MBFPDF('L', 'mm', 'A4');
$pdf->Open();
$pdf->AddPage();

//背景(伝票)
$pdf->Image("./FURIKOMI.JPG", 0, 0);

// バーコード画像　→ PDF
$pdf->Image($fileName, $x, $y, $width, $height);


// 添え字の描画
$fontSize = 10;
$pdf->AddMBFont(GOTHIC ,'SJIS');
$pdf->SetFont(GOTHIC,'',$fontSize);

//添え字の描画
$label = "(" . substr($code, 6, 2) . ")" . substr($code, 8, 6) . "-" . substr($code, 14, 22);
$pdf->SetXY($x, $y + $height - 3);
$pdf->Write($fontSize, $label);

$label = substr($code, 36, 6) . "-" . substr($code, 42, 1) . "-" . substr($code, 43, 6) . "-" . substr($code, 49, 1);
$pdf->SetXY($x, $y + $height + 3 - 3);
$pdf->Write($fontSize, $label);


$pdf->SetDisplayMode(100, 'single');
$pdf->Output();
