<?php

$code = (string)$_GET['code'];
$x = (float)$_GET['x'];
$y = (float)$_GET['y'];
$auto_width_height = (bool)$_GET['auto_width_height'];
if(isset($_GET['height']))
	$height = (float)$_GET['height'];
if(isset($_GET['width']))
	$width = (float)$_GET['width'];
$width2 = (float)$_GET['width2'];
if(isset($_GET['size_keisu']))
	$size_keisu = (float)$_GET['size_keisu'];
$error_level = (string)$_GET['error_level'];
$aspect_ratio = (float)$_GET['aspect_ratio'];
$size_kind = (string)$_GET['size_kind'];

if(isset($_GET['rows']))
	$cols = (int)$_GET['cols'];
if(isset($_GET['rows']))
	$rows = (int)$_GET['rows'];

require_once("barcode.php/Pdf417.php");

// バーコード描画 (PNGファイル)
$barcode = new Pdf417();

// encoding(option / default:utf-8)
$barcode->StringEncoding = (string)$_GET['encoding'];

if($error_level == "AUTO")
{
	$barcode->UseAutoErrorLevel = true;
}
else
{
	$barcode->UseAutoErrorLevel = false;
	$barcode->ErrorLevel = (float)$_GET['error_level'];
}

$barcode->AspectRatio = $aspect_ratio;

if($size_kind == "AUTO")
{
	$barcode->SizeKind = Pdf417::SIZE_KIND_AUTO;
}
else if($size_kind == "COL_NUM")
{
	$barcode->SizeKind = Pdf417::SIZE_KIND_COLUMNS;
	$barcode->CodeColumns = $cols;
}
else if($size_kind == "ROW_NUM")
{
	$barcode->SizeKind = Pdf417::SIZE_KIND_ROWS;
	$barcode->CodeRows = $rows;
}
else if($size_kind == "COL_NUM_AND_ROW_NUM")
{
	$barcode->SizeKind = Pdf417::SIZE_KIND_COLUMNS_AND_ROWS;
	$barcode->CodeColumns = $cols;
	$barcode->CodeRows = $rows;
}

$img = $barcode->draw($code, 1);
$fileName = "gazou/gazou.png";
ImagePNG($img, $fileName);

if($auto_width_height == true)
{
	// 高さ自動計算
	$w = imagesx($img);
	$h = imagesy($img);
	$width = $width2;
	$height = $width * ($h /$w);
}

require("fpdf/mbfpdf.php");
//$pdf = new MBFPDF();
$pdf = new MBFPDF('P', 'mm', 'A4');
$pdf->Open();
$pdf->AddPage();

// バーコード画像　→ PDF
$pdf->Image($fileName, $x, $y, $width, $height);

$pdf->SetDisplayMode(100, 'single');
$pdf->Output();
